%define		plugin hostinfo
%define		php_min_version 5.0.0
%include	/usr/lib/rpm/macros.php
Summary:	Plugin for Cacti -  Host info
Summary(pl.UTF-8):	Wtyczka do Cacti -  Host info
Name:		cacti-plugin-%{plugin}
Version:	0.2
Release:	7
License:	GPL v2
Group:		Applications/WWW
Source0:	http://mirror.cactiusers.org/downloads/plugins/%{plugin}-%{version}.zip
# Source0-md5:	e06cda8197ed5677d918737321528394
URL:		http://www.cactiusers.org/
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	unzip
Requires:	cacti
Requires:	php(core) >= %{php_min_version}
Requires:	php(mysql)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		cactidir		/usr/share/cacti
%define		plugindir		%{cactidir}/plugins/%{plugin}

%description
Plugin for Cacti - This plugin will give you version information about
your Cacti server. It outputs everything from Web server information,
to PHP, MySQL, RRDtool, and SNMP versions. It will also give you the
information in BBCode format to easily allow you to post it to a
forum.

%description -l pl.UTF-8
Wtyczka do Cacti wyświetlająca informacje o serwerze na którym
uruchomiono cacti. Podaje wszystkie informacje począwszy od serwera
WWW, a kończąc na wersjach PHP, MySQL-a, RRDtoola i SNMP. Podaje także
informacje w formacie BBCode, umożliwiając łatwe wysłanie ich na
forum.

%prep
%setup -qc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -p *.php $RPM_BUILD_ROOT%{plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{plugindir}
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 7cae5cf
- use php(core) as dependency to require php version
- release 6 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> e73fd86
- use virtual php extension deps (to be independant of php version)
- release 6 (by relup.sh)

* Sun Oct 30 2011 Elan Ruusamäe <glen@pld-linux.org> ded3b10
- php deps, gpl version

* Sun May 16 2010 sparky <sparky@pld-linux.org> cdd7b7f
- BR: unzip

* Sun Oct 05 2008 Elan Ruusamäe <glen@pld-linux.org> bd12a6a
- simplify macros and cleanups

* Wed Dec 26 2007 Elan Ruusamäe <glen@pld-linux.org> be93b82
- cleanups

* Thu Dec 13 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 789acc5
- up to 0.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 6549247
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4efe88f
- converted to UTF-8

* Thu Jun 08 2006 Jakub Bogusz <qboosh@pld-linux.org> e6d7e62
- completed pl

* Sun Jun 04 2006 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 753a6c3
- new description

* Sun Jun 04 2006 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 27c2d33
- new plugin for cacti

